name: claude-share
description: Share host's Claude CLI state (auth, history, plugins, top-level config) into containers. Enables security.nesting because Claude Code's bundled Bun/JavaScriptCore requires it for interactive mode (thread-suspension signal path is blocked by the non-nesting AppArmor profile).
config:
  environment.PATH: ${HOME}/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  security.nesting: "true"
devices:
  claude-state:
    type: disk
    source: ${HOME}/.claude
    path: ${HOME}/.claude
    shift: "true"
  claude-config:
    type: disk
    source: ${HOME}/.claude.json
    path: ${HOME}/.claude.json
    shift: "true"
  claude-bin:
    type: disk
    source: ${HOME}/.local/bin/claude
    path: ${HOME}/.local/bin/claude
    readonly: "true"
    shift: "true"
